diff --git a/src/test/regress/input/copy.source b/src/test/regress/input/copy.source
index cb13606..35ad2d2 100644
--- a/src/test/regress/input/copy.source
+++ b/src/test/regress/input/copy.source
@@ -9,7 +9,7 @@ COPY aggtest FROM '@abs_srcdir@/data/agg.data';
 
 COPY onek FROM '@abs_srcdir@/data/onek.data';
 
-COPY onek TO '@abs_builddir@/results/onek.data';
+COPY oneka TO '@abs_builddir@/results/onek.data';
 
 DELETE FROM onek;
 
diff --git a/src/test/regress/input/misc.source b/src/test/regress/input/misc.source
index b1dbc57..1b4c0c8 100644
--- a/src/test/regress/input/misc.source
+++ b/src/test/regress/input/misc.source
@@ -51,7 +51,7 @@ DROP TABLE tmp;
 --
 -- copy
 --
-COPY onek TO '@abs_builddir@/results/onek.data';
+COPY oneka TO '@abs_builddir@/results/onek.data';
 
 DELETE FROM onek;
 
diff --git a/src/test/regress/output/copy.source b/src/test/regress/output/copy.source
index b7e372d..c3faa8c 100644
--- a/src/test/regress/output/copy.source
+++ b/src/test/regress/output/copy.source
@@ -6,7 +6,7 @@
 --
 COPY aggtest FROM '@abs_srcdir@/data/agg.data';
 COPY onek FROM '@abs_srcdir@/data/onek.data';
-COPY onek TO '@abs_builddir@/results/onek.data';
+COPY oneka TO '@abs_builddir@/results/onek.data';
 DELETE FROM onek;
 COPY onek FROM '@abs_builddir@/results/onek.data';
 COPY tenk1 FROM '@abs_srcdir@/data/tenk.data';
diff --git a/src/test/regress/output/misc.source b/src/test/regress/output/misc.source
index b9595cc..ed56674 100644
--- a/src/test/regress/output/misc.source
+++ b/src/test/regress/output/misc.source
@@ -41,7 +41,7 @@ DROP TABLE tmp;
 --
 -- copy
 --
-COPY onek TO '@abs_builddir@/results/onek.data';
+COPY oneka TO '@abs_builddir@/results/onek.data';
 DELETE FROM onek;
 COPY onek FROM '@abs_builddir@/results/onek.data';
 SELECT unique1 FROM onek WHERE unique1 < 2 ORDER BY unique1;
diff --git a/src/test/regress/sql/alter_table.sql b/src/test/regress/sql/alter_table.sql
index 02a33ca..9c6616f 100644
--- a/src/test/regress/sql/alter_table.sql
+++ b/src/test/regress/sql/alter_table.sql
@@ -227,21 +227,21 @@ alter table stud_emp rename to pg_toast_stud_emp;
 alter table pg_toast_stud_emp rename to stud_emp;
 
 -- renaming index should rename constraint as well
-ALTER TABLE onek ADD CONSTRAINT onek_unique1_constraint UNIQUE (unique1);
+ALTER TABLE oneka ADD CONSTRAINT onek_unique1_constraint UNIQUE (unique1);
 ALTER INDEX onek_unique1_constraint RENAME TO onek_unique1_constraint_foo;
-ALTER TABLE onek DROP CONSTRAINT onek_unique1_constraint_foo;
+ALTER TABLE oneka DROP CONSTRAINT onek_unique1_constraint_foo;
 
 -- renaming constraint
-ALTER TABLE onek ADD CONSTRAINT onek_check_constraint CHECK (unique1 >= 0);
-ALTER TABLE onek RENAME CONSTRAINT onek_check_constraint TO onek_check_constraint_foo;
-ALTER TABLE onek DROP CONSTRAINT onek_check_constraint_foo;
+ALTER TABLE oneka ADD CONSTRAINT onek_check_constraint CHECK (unique1 >= 0);
+ALTER TABLE oneka RENAME CONSTRAINT onek_check_constraint TO onek_check_constraint_foo;
+ALTER TABLE oneka DROP CONSTRAINT onek_check_constraint_foo;
 
 -- renaming constraint should rename index as well
-ALTER TABLE onek ADD CONSTRAINT onek_unique1_constraint UNIQUE (unique1);
+ALTER TABLE oneka ADD CONSTRAINT onek_unique1_constraint UNIQUE (unique1);
 DROP INDEX onek_unique1_constraint;  -- to see whether it's there
-ALTER TABLE onek RENAME CONSTRAINT onek_unique1_constraint TO onek_unique1_constraint_foo;
+ALTER TABLE oneka RENAME CONSTRAINT onek_unique1_constraint TO onek_unique1_constraint_foo;
 DROP INDEX onek_unique1_constraint_foo;  -- to see whether it's there
-ALTER TABLE onek DROP CONSTRAINT onek_unique1_constraint_foo;
+ALTER TABLE oneka DROP CONSTRAINT onek_unique1_constraint_foo;
 
 -- renaming constraints vs. inheritance
 CREATE TABLE constraint_rename_test (a int CONSTRAINT con1 CHECK (a > 0), b int, c int);
diff --git a/src/test/regress/sql/create_index.sql b/src/test/regress/sql/create_index.sql
index a45e8eb..d2b90ac 100644
--- a/src/test/regress/sql/create_index.sql
+++ b/src/test/regress/sql/create_index.sql
@@ -6,31 +6,31 @@
 --
 -- BTREE
 --
-CREATE INDEX onek_unique1 ON onek USING btree(unique1 int4_ops);
+CREATE INDEX onek_unique1 ON oneka USING btree(unique1 int4_ops);
 
-CREATE INDEX IF NOT EXISTS onek_unique1 ON onek USING btree(unique1 int4_ops);
+CREATE INDEX IF NOT EXISTS onek_unique1 ON oneka USING btree(unique1 int4_ops);
 
-CREATE INDEX IF NOT EXISTS ON onek USING btree(unique1 int4_ops);
+CREATE INDEX IF NOT EXISTS ON oneka USING btree(unique1 int4_ops);
 
-CREATE INDEX onek_unique2 ON onek USING btree(unique2 int4_ops);
+CREATE INDEX onek_unique2 ON oneka USING btree(unique2 int4_ops);
 
-CREATE INDEX onek_hundred ON onek USING btree(hundred int4_ops);
+CREATE INDEX onek_hundred ON oneka USING btree(hundred int4_ops);
 
-CREATE INDEX onek_stringu1 ON onek USING btree(stringu1 name_ops);
+CREATE INDEX onek_stringu1 ON oneka USING btree(stringu1 name_ops);
 
-CREATE INDEX tenk1_unique1 ON tenk1 USING btree(unique1 int4_ops);
+CREATE INDEX tenk1_unique1 ON tenk1a USING btree(unique1 int4_ops);
 
-CREATE INDEX tenk1_unique2 ON tenk1 USING btree(unique2 int4_ops);
+CREATE INDEX tenk1_unique2 ON tenk1a USING btree(unique2 int4_ops);
 
-CREATE INDEX tenk1_hundred ON tenk1 USING btree(hundred int4_ops);
+CREATE INDEX tenk1_hundred ON tenk1a USING btree(hundred int4_ops);
 
-CREATE INDEX tenk1_thous_tenthous ON tenk1 (thousand, tenthous);
+CREATE INDEX tenk1_thous_tenthous ON tenk1a (thousand, tenthous);
 
-CREATE INDEX tenk2_unique1 ON tenk2 USING btree(unique1 int4_ops);
+CREATE INDEX tenk2_unique1 ON tenk2a USING btree(unique1 int4_ops);
 
-CREATE INDEX tenk2_unique2 ON tenk2 USING btree(unique2 int4_ops);
+CREATE INDEX tenk2_unique2 ON tenk2a USING btree(unique2 int4_ops);
 
-CREATE INDEX tenk2_hundred ON tenk2 USING btree(hundred int4_ops);
+CREATE INDEX tenk2_hundred ON tenk2a USING btree(hundred int4_ops);
 
 CREATE INDEX rix ON road USING btree (name text_ops);
 
@@ -693,7 +693,7 @@ DROP TABLE unlogged_hash_table;
 -- Test hash index build tuplesorting.  Force hash tuplesort using low
 -- maintenance_work_mem setting and fillfactor:
 SET maintenance_work_mem = '1MB';
-CREATE INDEX hash_tuplesort_idx ON tenk1 USING hash (stringu1 name_ops) WITH (fillfactor = 10);
+CREATE INDEX hash_tuplesort_idx ON tenk1a USING hash (stringu1 name_ops) WITH (fillfactor = 10);
 EXPLAIN (COSTS OFF)
 SELECT count(*) FROM tenk1 WHERE stringu1 = 'TVAAAA';
 SELECT count(*) FROM tenk1 WHERE stringu1 = 'TVAAAA';
diff --git a/src/test/regress/sql/create_table.sql b/src/test/regress/sql/create_table.sql
index b77b476..57f0d6f 100644
--- a/src/test/regress/sql/create_table.sql
+++ b/src/test/regress/sql/create_table.sql
@@ -8,12 +8,18 @@
 CREATE TABLE hobbies_r (
 	name		text,
 	person 		text
-);
+) PARTITION BY RANGE (name);
+
+CREATE TABLE hobbies_ra PARTITION OF hobbies_r FOR VALUES FROM (MINVALUE) TO (MAXVALUE);
+
 
 CREATE TABLE equipment_r (
 	name 		text,
 	hobby		text
-);
+) PARTITION BY RANGE (name);
+
+CREATE TABLE equipment_ra PARTITION OF equipment_r FOR VALUES FROM (MINVALUE) TO (MAXVALUE);
+
 
 CREATE TABLE onek (
 	unique1		int4,
@@ -32,7 +38,10 @@ CREATE TABLE onek (
 	stringu1	name,
 	stringu2	name,
 	string4		name
-);
+) PARTITION BY RANGE (unique1);
+
+CREATE TABLE oneka PARTITION OF onek FOR VALUES FROM (MINVALUE) TO (MAXVALUE);
+
 
 CREATE TABLE tenk1 (
 	unique1		int4,
@@ -51,7 +60,9 @@ CREATE TABLE tenk1 (
 	stringu1	name,
 	stringu2	name,
 	string4		name
-) WITH OIDS;
+) PARTITION BY RANGE (unique1) WITH OIDS;
+
+CREATE TABLE tenk1a PARTITION OF tenk1 FOR VALUES FROM (MINVALUE) TO (MAXVALUE);
 
 CREATE TABLE tenk2 (
 	unique1 	int4,
@@ -70,7 +81,10 @@ CREATE TABLE tenk2 (
 	stringu1	name,
 	stringu2	name,
 	string4		name
-);
+) PARTITION BY RANGE (unique1);
+
+CREATE TABLE tenk2a PARTITION OF tenk2 FOR VALUES FROM (MINVALUE) TO (MAXVALUE);
+
 
 
 CREATE TABLE person (
diff --git a/src/test/regress/sql/select_parallel.sql b/src/test/regress/sql/select_parallel.sql
index 1bd2821..97ed7c0 100644
--- a/src/test/regress/sql/select_parallel.sql
+++ b/src/test/regress/sql/select_parallel.sql
@@ -20,7 +20,7 @@ explain (costs off)
 select count(*) from a_star;
 
 -- test that parallel_restricted function doesn't run in worker
-alter table tenk1 set (parallel_workers = 4);
+alter table tenk1a set (parallel_workers = 4);
 explain (verbose, costs off)
 select parallel_restricted(unique1) from tenk1
   where stringu1 = 'GRAAAA' order by 1;
@@ -46,7 +46,7 @@ execute tenk1_count(1);
 deallocate tenk1_count;
 
 -- test parallel plans for queries containing un-correlated subplans.
-alter table tenk2 set (parallel_workers = 0);
+alter table tenk2a set (parallel_workers = 0);
 explain (costs off)
 	select count(*) from tenk1 where (two, four) not in
 	(select hundred, thousand from tenk2 where thousand > 100);
diff --git a/src/test/regress/sql/stats.sql b/src/test/regress/sql/stats.sql
index 2be7dde..c45f96f 100644
--- a/src/test/regress/sql/stats.sql
+++ b/src/test/regress/sql/stats.sql
@@ -22,7 +22,7 @@ SELECT t.seq_scan, t.seq_tup_read, t.idx_scan, t.idx_tup_fetch,
        pg_stat_get_snapshot_timestamp() as snap_ts
   FROM pg_catalog.pg_stat_user_tables AS t,
        pg_catalog.pg_statio_user_tables AS b
- WHERE t.relname='tenk2' AND b.relname='tenk2';
+ WHERE t.relname='tenk2a' AND b.relname='tenk2a';
 
 -- function to wait for counters to advance
 create function wait_for_stats() returns void as $$
@@ -44,12 +44,12 @@ begin
     -- check to see if seqscan has been sensed
     SELECT (st.seq_scan >= pr.seq_scan + 1) INTO updated1
       FROM pg_stat_user_tables AS st, pg_class AS cl, prevstats AS pr
-     WHERE st.relname='tenk2' AND cl.relname='tenk2';
+     WHERE st.relname='tenk2a' AND cl.relname='tenk2a';
 
     -- check to see if indexscan has been sensed
     SELECT (st.idx_scan >= pr.idx_scan + 1) INTO updated2
       FROM pg_stat_user_tables AS st, pg_class AS cl, prevstats AS pr
-     WHERE st.relname='tenk2' AND cl.relname='tenk2';
+     WHERE st.relname='tenk2a' AND cl.relname='tenk2a';
 
     -- check to see if all updates have been sensed
     SELECT (n_tup_ins > 0) INTO updated3
@@ -164,12 +164,12 @@ SELECT st.seq_scan >= pr.seq_scan + 1,
        st.idx_scan >= pr.idx_scan + 1,
        st.idx_tup_fetch >= pr.idx_tup_fetch + 1
   FROM pg_stat_user_tables AS st, pg_class AS cl, prevstats AS pr
- WHERE st.relname='tenk2' AND cl.relname='tenk2';
+ WHERE st.relname='tenk2a' AND cl.relname='tenk2a';
 
 SELECT st.heap_blks_read + st.heap_blks_hit >= pr.heap_blks + cl.relpages,
        st.idx_blks_read + st.idx_blks_hit >= pr.idx_blks + 1
   FROM pg_statio_user_tables AS st, pg_class AS cl, prevstats AS pr
- WHERE st.relname='tenk2' AND cl.relname='tenk2';
+ WHERE st.relname='tenk2a' AND cl.relname='tenk2a';
 
 SELECT pr.snap_ts < pg_stat_get_snapshot_timestamp() as snapshot_newer
 FROM prevstats AS pr;
